"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireDefault(require("react"));

var _reactHelmet = _interopRequireDefault(require("react-helmet"));

var _propTypes = _interopRequireDefault(require("prop-types"));

/**
 * This component wraps all pages on the website, and through [Helmet](https://github.com/nfl/react-helmet/)
 * sets up base CSS, favicons, & javascript
 *
 * @module PageWrap
 */
var PageWrap =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(PageWrap, _React$Component);

  function PageWrap() {
    (0, _classCallCheck2.default)(this, PageWrap);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(PageWrap).apply(this, arguments));
  }

  (0, _createClass2.default)(PageWrap, [{
    key: "renderChildren",

    /**
     * This method ensures important app state props passed
     * from `AppContainer` are passed to children (feature containers)
     *
     * @method renderChildren
     * @returns {Array} Children with mapped props
     */
    value: function renderChildren() {
      var _this$props = this.props,
          self = _this$props.self,
          localeCode = _this$props.localeCode,
          location = _this$props.location;
      return _react.default.Children.map(this.props.children, function (child, key) {
        return _react.default.cloneElement(child, {
          self: self,
          localeCode: localeCode,
          location: location,
          key: key
        });
      });
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      // Browser has now rendered client-side application - fire the browser TTI triggers
      // Add W3C UserTiming mark for TTI and measure (from navigationStart to newly created mark)
      if (window.performance && window.performance.mark && window.performance.measure) {
        window.performance.mark('meetup-tti');
        window.performance.measure('meetup-tti', 'navigationStart', 'meetup-tti');
      } // Specially for Developer Tools in the browsers (Chrome & Firefox), create entry for the event so it shows up on Performance timeline


      if (console && console.timeStamp) {
        console.timeStamp('meetup-tti');
      }
    }
    /**
     * @return {React.element} the page wrapping component
     */

  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          head = _this$props2.head,
          iconSprite = _this$props2.iconSprite,
          localeCode = _this$props2.localeCode; // Parse localeCode for ISO 639-1 languages code.
      // (ie. 'en', 'it', etc)
      // @see https://github.com/meetup/swarm-sasstools/blob/main/scss/utils/helpers/_i18n.scss

      var lang = localeCode.substring(0, 2);
      return _react.default.createElement("div", {
        id: "root",
        className: "column lang_".concat(lang),
        style: {
          minHeight: '100vh'
        }
      }, head, _react.default.createElement(_reactHelmet.default, {
        defaultTitle: "Meetup",
        titleTemplate: "%s - Meetup"
      }, _react.default.createElement("meta", {
        name: "viewport",
        content: "width=device-width, initial-scale=1"
      }), _react.default.createElement("meta", {
        "http-equiv": "Content-Type",
        content: "text/html; charset=UTF-8"
      }), _react.default.createElement("meta", {
        "http-equiv": "X-UA-Compatible",
        content: "IE=edge"
      }), _react.default.createElement("meta", {
        name: "robots",
        content: "index,follow"
      }), _react.default.createElement("meta", {
        name: "verify-v1",
        content: "h5EhuAEkLFlZmMxwpH5wnRaoDEmqYCCEUE+FLcrRNvE="
      })), iconSprite && _react.default.createElement("div", {
        style: {
          display: 'none'
        },
        dangerouslySetInnerHTML: {
          __html: iconSprite
        }
      }), this.renderChildren());
    }
  }]);
  return PageWrap;
}(_react.default.Component);

PageWrap.propTypes = {
  head: _propTypes.default.object,
  iconSprite: _propTypes.default.string,
  localeCode: _propTypes.default.string.isRequired,
  location: _propTypes.default.object.isRequired,
  self: _propTypes.default.object.isRequired
};
var _default = PageWrap;
exports.default = _default;
//# sourceMappingURL=index.js.map