"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _withMatchMedia = _interopRequireDefault(require("meetup-web-components/lib/utils/components/withMatchMedia"));

var mapStateToProps = function mapStateToProps(state) {
  return {
    media: state.config.media
  };
};
/**
 * connectWithMatchMediaComponent
 * HOC that provides an `initialMedia` prop based on `media` in state.config which is determined by user agent
 * because withMatchMedia cannot detect the media until after initial render.
 *
 * `media` prop is provided from redux state in config.
 */


var connectWithMatchMedia = function connectWithMatchMedia(WrappedComponent) {
  var MediaWrappedComponent = (0, _withMatchMedia.default)(WrappedComponent);

  var ConnectWithMatchMedia = function ConnectWithMatchMedia(props) {
    return React.createElement(MediaWrappedComponent, (0, _extends2.default)({}, props, {
      initialMedia: props.media
    }));
  };

  var wrappedComponentName = WrappedComponent.displayName || WrappedComponent.name || 'Component';
  ConnectWithMatchMedia.displayName = "ConnectWithMatchMedia(".concat(wrappedComponentName, ")");
  return (0, _reactRedux.connect)(mapStateToProps, function () {
    return {};
  })(ConnectWithMatchMedia);
};

var _default = connectWithMatchMedia;
exports.default = _default;
//# sourceMappingURL=connectWithMatchMedia.js.map