"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createFakeStore = void 0;

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _connectWithMatchMedia = _interopRequireDefault(require("./connectWithMatchMedia"));

var createFakeStore = function createFakeStore(fakeData) {
  return {
    getState: function getState() {
      return fakeData;
    },
    dispatch: function dispatch() {},
    subscribe: function subscribe() {}
  };
};

exports.createFakeStore = createFakeStore;

var TestComponent = function TestComponent() {
  return _react.default.createElement("div", null, "Hello World");
};

var TestComponentConnectWithMatchMedia = (0, _connectWithMatchMedia.default)(TestComponent);
describe('connectWithMatchMedia', function () {
  var mockStore = createFakeStore({
    config: {
      media: {
        isAtSmallUp: true
      }
    }
  });
  var connectWithMatchMedia = (0, _enzyme.shallow)(_react.default.createElement(TestComponentConnectWithMatchMedia, null), {
    context: {
      store: mockStore
    }
  });
  it('exists', function () {
    expect(connectWithMatchMedia).toMatchSnapshot();
  });
});
//# sourceMappingURL=connectWithMatchMedia.test.js.map