"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var mapStateToProps = function mapStateToProps(state) {
  return {
    requestLanguage: state.config.requestLanguage,
    enableServiceWorker: state.config.enableServiceWorker
  };
};

/*
 * A lifecycle-only component that registers the platform service worker when
 * the component mounts on the client.
 */
var ServiceWorker =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(ServiceWorker, _React$Component);

  function ServiceWorker() {
    (0, _classCallCheck2.default)(this, ServiceWorker);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ServiceWorker).apply(this, arguments));
  }

  (0, _createClass2.default)(ServiceWorker, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      if (this.props.enableServiceWorker && navigator.serviceWorker && !window.location.search.includes('__disable_sw') && // opt-in disable SW
      process.env.NODE_ENV === 'production' // sw caching creates confusion in dev
      ) {
          navigator.serviceWorker.register("/asset-service-worker.".concat(this.props.requestLanguage, ".js")); // must serve from root URL path
        }
    }
  }, {
    key: "render",
    value: function render() {
      return this.props.children;
    }
  }]);
  return ServiceWorker;
}(_react.default.Component);

var _default = (0, _reactRedux.connect)(mapStateToProps)(ServiceWorker);

exports.default = _default;
//# sourceMappingURL=ServiceWorker.js.map