"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var generateUXCaptureJS = function generateUXCaptureJS(mark) {
  return "\n\t<script>\n\t\tif(window.UXCapture) {\n\t\t\twindow.UXCapture.mark(\"".concat(mark, "\");\n\t\t}\n\t</script>\n");
}; // inject inline UXCapture.mark() call into rendered markup
// @see https://github.com/meetup/ux-capture#text-without-custom-font


var UXCaptureInlineMark = function UXCaptureInlineMark(_ref) {
  var mark = _ref.mark;
  return _react.default.createElement("div", {
    dangerouslySetInnerHTML: {
      __html: generateUXCaptureJS(mark)
    }
  });
}; // eslint-disable-line react/no-danger


var _default = UXCaptureInlineMark;
exports.default = _default;
//# sourceMappingURL=UXCaptureInlineMark.js.map