"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _default = function _default(_ref) {
  var destinationVerified = _ref.destinationVerified,
      primaryContentDisplayed = _ref.primaryContentDisplayed,
      primaryActionAvailable = _ref.primaryActionAvailable,
      secondaryContentDisplayed = _ref.secondaryContentDisplayed;
  var zones = [];

  if (destinationVerified && destinationVerified.length > 0) {
    zones.push({
      name: 'ux-destination-verified',
      marks: destinationVerified
    });
  }

  if (primaryContentDisplayed && primaryContentDisplayed.length > 0) {
    zones.push({
      name: 'ux-primary-content-displayed',
      marks: primaryContentDisplayed
    });
  }

  if (primaryActionAvailable && primaryActionAvailable.length > 0) {
    zones.push({
      name: 'ux-primary-action-available',
      marks: primaryActionAvailable
    });
  }

  if (secondaryContentDisplayed && secondaryContentDisplayed.length > 0) {
    zones.push({
      name: 'ux-secondary-content-displayed',
      marks: secondaryContentDisplayed
    });
  } // Don't add UX.expect() to page is no zones specified


  if (!zones.length) {
    return null;
  }

  var uxCaptureJS = "\n\t\t<script>\n\t\t\tif(window.UXCapture) {\n\t\t\t\twindow.UXCapture.startView(".concat(JSON.stringify(zones), ");\n\t\t\t}\n\t\t</script>\n\t");
  return _react.default.createElement("div", {
    dangerouslySetInnerHTML: {
      __html: uxCaptureJS
    }
  }) // eslint-disable-line react/no-danger
  ;
};

exports.default = _default;
//# sourceMappingURL=UXCaptureStartView.js.map