"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _UXCaptureImageLoad = _interopRequireWildcard(require("./UXCaptureImageLoad"));

var MOCK_PROPS = {
  mark: 'ux-image-load-logo',
  src: '/foo.png',
  className: 'someClass',
  alt: 'altText',
  height: '50'
};

var renderComponent = function renderComponent() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : MOCK_PROPS;
  return (0, _enzyme.shallow)(_react.default.createElement(_UXCaptureImageLoad.default, props));
};

describe('getOnLoadJS', function () {
  it('renders the correct javascript as a string', function () {
    expect((0, _UXCaptureImageLoad.getOnLoadJS)(MOCK_PROPS.mark)).toMatchSnapshot();
  });
});
describe('getPropsAsHTMLAttrs', function () {
  it('renders the correct javascript as a string', function () {
    var imageProps = {
      className: MOCK_PROPS.className,
      alt: MOCK_PROPS.alt,
      height: MOCK_PROPS.height
    };
    expect((0, _UXCaptureImageLoad.getPropsAsHTMLAttrs)(imageProps)).toMatchSnapshot();
  });
});
describe('UXCaptureImageLoad', function () {
  it('renders component markup', function () {
    global.window = {
      UX: {
        mark: jest.fn()
      }
    };
    expect(renderComponent()).toMatchSnapshot();
    delete global.window;
  });
});
//# sourceMappingURL=uxCaptureImageLoad.test.js.map