"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _joi = _interopRequireDefault(require("joi"));

var _browserPolyfill = require("./browserPolyfill");

var MOCK_LOCALE = 'fr-FR';
describe('polyfillServiceUrl', function () {
  it('returns a url string', function () {
    var url = (0, _browserPolyfill.polyfillServiceUrl)(MOCK_LOCALE);
    expect(_joi.default.validate(url, _joi.default.string().uri()).error).toBeNull();
  });
});
describe('getPolyfill', function () {
  it('returns false for Chrome UA string', function () {
    expect((0, _browserPolyfill.getPolyfill)('Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36', MOCK_LOCALE)).toBe(false);
  });
  it('returns false for Firefox UA string', function () {
    expect((0, _browserPolyfill.getPolyfill)('Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:10.0) Gecko/20100101 Firefox/10.0', MOCK_LOCALE)).toBe(false);
  });
  it('returns a polyfill url for Edge', function () {
    var url = (0, _browserPolyfill.polyfillServiceUrl)(MOCK_LOCALE);
    expect((0, _browserPolyfill.getPolyfill)('Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.135 Safari/537.36 Edge/12.10136', MOCK_LOCALE)).toEqual(url);
  });
  it('returns a polyfill url if userAgent is not `Chrome` or `Firefox`', function () {
    var url = (0, _browserPolyfill.polyfillServiceUrl)(MOCK_LOCALE);
    expect((0, _browserPolyfill.getPolyfill)('Safari', MOCK_LOCALE)).toEqual(url);
  });
});
//# sourceMappingURL=browserPolyfill.test.js.map