"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _apolloBoost = _interopRequireWildcard(require("apollo-boost"));

var _isomorphicFetch = _interopRequireDefault(require("isomorphic-fetch"));

var GRAPHQL_ENDPOINT = process.env.GRAPHQL_ENDPOINT || 'https://www.meetup.com/gql';
var cachedClient;

var getClient = function getClient(isServer) {
  if (!cachedClient || isServer) {
    var options = {
      ssrMode: isServer,
      name: 'mup-web',
      cache: isServer ? new _apolloBoost.InMemoryCache() : new _apolloBoost.InMemoryCache().restore(window.__APOLLO_STATE__),
      uri: GRAPHQL_ENDPOINT,
      credentials: 'include',
      fetch: _isomorphicFetch.default
    };
    cachedClient = new _apolloBoost.default(options);
  }

  return cachedClient;
};

var _default = getClient;
exports.default = _default;
//# sourceMappingURL=getClient.js.map