"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _googleTagManager = require("./googleTagManager");

describe('getGoogleTagManagerSnippet()', function () {
  var MOCK_GTM_KEY = 'GTM-CONTAINER-ID';
  var MOCK_GTM_PUBLIC_AUTH = 'qwertyuiopasdfghjklzxcvbnm';
  var MOCK_GTM_PREVIEW_ID = 'env-42';
  it('matches snap', function () {
    expect((0, _googleTagManager.getGoogleTagManagerSnippet)()).toMatchSnapshot();
  });
  it('matches snap with parameters passed', function () {
    expect((0, _googleTagManager.getGoogleTagManagerSnippet)(MOCK_GTM_KEY, MOCK_GTM_PUBLIC_AUTH, MOCK_GTM_PREVIEW_ID)).toMatchSnapshot();
  });
});
describe('getDataLayerInitSnippet()', function () {
  var MOCK_INIT_DATA = {
    foo: 'bar'
  };
  it('should match the snapshot without `data` passed', function () {
    expect((0, _googleTagManager.getDataLayerInitSnippet)()).toMatchSnapshot();
  });
  it('should match the snapshot with some `data`', function () {
    expect((0, _googleTagManager.getDataLayerInitSnippet)(MOCK_INIT_DATA)).toMatchSnapshot();
  });
});
describe('gtmPush()', function () {
  var MOCK_VARS = {
    foo: 'bar'
  };
  it('should push mocked variables to `dataLayer`', function () {
    global.window = {};
    window.dataLayer = [];
    (0, _googleTagManager.gtmPush)(MOCK_VARS);
    expect(window.dataLayer).toContainEqual(MOCK_VARS);
  });
  it('should extend event mocked variables payload with isTestAccount: Yes', function () {
    var IS_TEST_ACCOUNT_VARS = {
      isTestAccount: 'Yes'
    };
    global.window = {};
    window.dataLayer = [];
    window.sessionStorage = {
      getItem: function getItem() {
        return 'Yes';
      }
    };
    (0, _googleTagManager.gtmPush)(MOCK_VARS);
    expect(window.dataLayer).toContainEqual((0, _objectSpread2.default)({}, MOCK_VARS, IS_TEST_ACCOUNT_VARS));
  });
});
//# sourceMappingURL=googleTagManager.test.js.map